Skip to main content
GET
Get sandbox background command output

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

sandbox_id
string<uuid>
required

Sandbox UUID.

command_id
string
required

Sandbox background command ID.

Minimum string length: 1

Response

Stdout and stderr of the background command.

command_id
string
required
command
string
required
signal
string | null
required
heartbeat_status
enum<string>
required
Available options:
disabled,
healthy,
degraded
last_heartbeat_at
string | null
required
last_heartbeat_error
string | null
required
heartbeat_failure_count
integer
required
Required range: x >= 0
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
exit_code
integer | null
required
started_at
string | null
required
finished_at
string | null
required
stdout
string
required

Standard output of the background command.

stderr
string
required

Standard error of the background command.

stdout_truncated
boolean
required

Whether the runtime truncated standard output.

stderr_truncated
boolean
required

Whether the runtime truncated standard error.